Subject: Re: Russian Comfrey

From: [email-masked] (BPierce496)
Date: 4 Mar 1995 15:33:36 -0500

I have heard that it is great as a mulch also. I have not tried it but I
have heard it gives excellent results. I have also heard two bad things
about it. I have heard that it is hard to get rid of once established( I
have mine planted in a container so it does not get out of control. I have
also heard that it can cause severe liver damage and cancer if  ingested
internally. I would not use it as a mulch on any edible food crops for
this reason until better info comes out. I have also heard that it is
great for curing external wounds, cuts, etc. and can be used for that
purpose safely.

---

From: [email-masked] (BPierce496)
Date: 4 Mar 1995 15:33:36 -0500